LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XView Interface Reference

A view in the drawing framework is any object that paints into a pane. More...

`import "XView.idl";`

Inheritance diagram for XView:

## Exported Interfaces
interface | XResource

## Additional Inherited Members
Public Member Functions inherited from XResource
XResourceId | getResourceId ()
| Return an XResourceId object for the called resource.
boolean | isAnchorOnly ()
| Some resources must not be leafs, i.e.

## Detailed Description

A view in the drawing framework is any object that paints into a pane.

Typical examples are the Impress views that show a graphical representation of a document. But the task pane, which is primarily a container of dialogs, is a view as well.

Luckily the drawing framework does not need to know much about what a view is. It just needs to identify view objects and a typesafe way to reference them.

The URL prefix of views is `private:resource/view`

## Exported Interfaces

## ◆ XResource

interface XResource

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/framework/XView.idl